summaryrefslogtreecommitdiff
path: root/tools
diff options
context:
space:
mode:
authorJarrod Millman <jarrod.millman@gmail.com>2017-08-12 13:47:46 -0700
committerJarrod Millman <jarrod.millman@gmail.com>2017-08-12 19:12:38 -0700
commit2ffe4dde82faaa8bc42dc776c63a98629fc8a277 (patch)
tree183f4bcd657b7a61a3130601d0b7197b4130a2a4 /tools
parent71a3924735330ce9ffc7d43ceaee460ac0907626 (diff)
downloadnetworkx-2ffe4dde82faaa8bc42dc776c63a98629fc8a277.tar.gz
Add OSX build
Diffstat (limited to 'tools')
-rwxr-xr-xtools/travis/linux_install.sh7
-rwxr-xr-xtools/travis/osx_install.sh14
-rwxr-xr-xtools/travis/script.sh3
3 files changed, 16 insertions, 8 deletions
diff --git a/tools/travis/linux_install.sh b/tools/travis/linux_install.sh
index ba0cca78..84739aeb 100755
--- a/tools/travis/linux_install.sh
+++ b/tools/travis/linux_install.sh
@@ -5,19 +5,12 @@ set -ex
virtualenv -p python ~/venv
source ~/venv/bin/activate
-# install required packages
-pip install --upgrade pip
-pip install requirements.txt
-
if [[ "${OPTIONAL_DEPS}" == pip ]]; then
# needed to build Python binding for GDAL
export CPLUS_INCLUDE_PATH=/usr/include/gdal
export C_INCLUDE_PATH=/usr/include/gdal
- # install optional packages
- pip install --retries 3 $PIP_FLAGS -r requirements/extras.txt
-
fi
set +ex
diff --git a/tools/travis/osx_install.sh b/tools/travis/osx_install.sh
new file mode 100755
index 00000000..a956ce0c
--- /dev/null
+++ b/tools/travis/osx_install.sh
@@ -0,0 +1,14 @@
+#!/usr/bin/env bash
+set -ex
+
+# set up Python and virtualenv on OSX
+git clone https://github.com/matthew-brett/multibuild
+source multibuild/osx_utils.sh
+get_macpython_environment $TRAVIS_PYTHON_VERSION venv
+
+if [[ "${OPTIONAL_DEPS}" == pip ]]; then
+ brew install graphviz
+ sed -i "" 's/^gdal.*/gdal==1.11.2/' requirements/extras.txt
+fi
+
+set +ex
diff --git a/tools/travis/script.sh b/tools/travis/script.sh
index 788888a8..3f65b94a 100755
--- a/tools/travis/script.sh
+++ b/tools/travis/script.sh
@@ -1,7 +1,7 @@
#!/usr/bin/env bash
-set -ex
section "Script section"
+set -ex
export NX_INSTALL=`pip show networkx | grep Location | awk '{print $2"/networkx"}'`;
@@ -23,4 +23,5 @@ printenv PWD;
# Run nosetests.
nosetests --verbosity=2 --with-ignore-docstrings --with-coverage --cover-package=networkx;
+set +ex
section_end "Script section"